Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Marshal_Object Class Reference

TAO_Marshal_Object. More...

`#include <Marshal.h>`

Inheritance diagram for TAO_Marshal_Object

[legend]
List of all members.

## Public Methods
| TAO_Marshal_Object (void)
| constructor.
virtual | ~TAO_Marshal_Object (void)
| destructor.
virtual CORBA::TypeCode::traverse_status | skip (CORBA::TypeCode_ptr tc, TAO_InputCDR *context, CORBA_Environment &ACE_TRY_ENV) = 0
| skip operation.
virtual CORBA::TypeCode::traverse_status | append (CORBA::TypeCode_ptr tc, TAO_InputCDR *src, TAO_OutputCDR *dest, CORBA_Environment &ACE_TRY_ENV) = 0
| append operation.
## Static Public Methods
CORBA::TypeCode::traverse_status | perform_skip (CORBA::TypeCode_ptr tc, TAO_InputCDR *context, CORBA_Environment &ACE_TRY_ENV)
| skip entry point, it allocates the right kind of Marshal_Object and invokes skip on it.
CORBA::TypeCode::traverse_status | perform_append (CORBA::TypeCode_ptr tc, TAO_InputCDR *src, TAO_OutputCDR *dest, CORBA_Environment &ACE_TRY_ENV)
| append entry point, it allocates the right kind of Marshal_Object and invokes skip on it.

## Detailed Description

TAO_Marshal_Object.

The Marshaling object that provides a common interface to the CDR object for marshaling different IDL data types Provides a set of virtual methods for appending and skipping data over a CDR stream.

## Constructor & Destructor Documentation

ACE_INLINE TAO_Marshal_Object::TAO_Marshal_Object ( | void )

| constructor.

TAO_Marshal_Object::~TAO_Marshal_Object ( | void )`[inline, virtual]`

| destructor.

## Member Function Documentation

CORBA::TypeCode::traverse_status TAO_Marshal_Object::append ( | CORBA::TypeCode_ptr tc,
| TAO_InputCDR * src,
| TAO_OutputCDR * dest,
| CORBA_Environment & ACE_TRY_ENV )`[pure virtual]`

| append operation. Reimplemented in TAO_Marshal_Primitive, TAO_Marshal_Any, TAO_Marshal_TypeCode, TAO_Marshal_Principal, TAO_Marshal_ObjRef, TAO_Marshal_Struct, TAO_Marshal_Union, TAO_Marshal_String, TAO_Marshal_Sequence, TAO_Marshal_Array, TAO_Marshal_Alias, TAO_Marshal_Except, and TAO_Marshal_WString.

CORBA::TypeCode::traverse_status TAO_Marshal_Object::perform_append ( | CORBA::TypeCode_ptr tc,
| TAO_InputCDR * src,
| TAO_OutputCDR * dest,
| CORBA_Environment & ACE_TRY_ENV )`[static]`

| append entry point, it allocates the right kind of Marshal_Object and invokes skip on it.

CORBA::TypeCode::traverse_status TAO_Marshal_Object::perform_skip ( | CORBA::TypeCode_ptr tc,
| TAO_InputCDR * context,
| CORBA_Environment & ACE_TRY_ENV )`[static]`

| skip entry point, it allocates the right kind of Marshal_Object and invokes skip on it.

CORBA::TypeCode::traverse_status TAO_Marshal_Object::skip ( | CORBA::TypeCode_ptr tc,
| TAO_InputCDR * context,
| CORBA_Environment & ACE_TRY_ENV )`[pure virtual]`

| skip operation. Reimplemented in TAO_Marshal_Primitive, TAO_Marshal_Any, TAO_Marshal_TypeCode, TAO_Marshal_Principal, TAO_Marshal_ObjRef, TAO_Marshal_Struct, TAO_Marshal_Union, TAO_Marshal_String, TAO_Marshal_Sequence, TAO_Marshal_Array, TAO_Marshal_Alias, TAO_Marshal_Except, and TAO_Marshal_WString.

The documentation for this class was generated from the following files:

- Marshal.h
- Marshal.cpp
- Marshal.i